# Interface YAxis

#### Hierarchy

- YAxis

#####
Index

### Properties

dataMax
dataMin
majorTick
max
min
minorTick
scale
size
step
tickLabel
title
titleStyle
viewportMax
viewportMin

## Properties

### dataMax

dataMax: number

The maximum value of the chart data.

### dataMin

dataMin: number

The minimum value of the chart data.

### majorTick

majorTick: YAxisMajorTick

The y axis major tick properties.

### max

max: number

The maximum value of the y axis.

### min

min: number

The minimum value of the y axis.

### minorTick

minorTick: YAxisMinorTick

The y axis minor tick properties.

### scale

scale: string

The scale of the axis.

### size

size: number

The size of the axis.

### step

step: number

The increment between major tick marks in y axis.

### tickLabel

tickLabel: YAxisTickLabel

The y axis tick label properties.

### title

title: string

The axis title.

### titleStyle

titleStyle: object

The axis title style.

### viewportMax

viewportMax: number

The current maximum value of y axis viewport.

### viewportMin

viewportMin: number

The current minimum value of y axis viewport.

Generated using TypeDoc